Jump to content
inweb

[Module] Wordpress Blog Integration To Prestashop 1.3/1.4/1.5/1.6/1.7

Recommended Posts

A new updates of the PrestaShop Theme Provider module & WordPress Integration plugin have been released!

It comes with improved compatibility (such as reported getallheaders() function disabled on some servers), resolves (X)HTML validation with certain PrestaShop templates and in paid module it comes with improved (quite a lot!) CSS files adjusting!

 

PrestaShop Theme Provider module 1.4.16

  • General compatibility was improved
  • Invalid (X)HTML code produced with some templates was fixed
  • Adjusting of CSS files was improved (paid module only)
WordPress Integration plugin 1.4.16
  • WebAppsDetector class was updated
P.S. phpBB Integration to PrestaShop is coming! You can see the demo at demo.inveostore.com/prestashop16/forum/. It's gonna be a free add-on again and if you are using paid PrestaShop Theme Provider module you will be able to use all it's fantastic features with phpBB as well :-)

Share this post


Link to post
Share on other sites

To display WordPress posts in the block in the right or left column use RSS block (it's described earlier ion this thread).

Share this post


Link to post
Share on other sites

You need to export image URL in the feed and then you can use the image in PS blocks.

Share this post


Link to post
Share on other sites

Hi!

 

A have a problem with running free version of script:

Fatal error: Call to undefined function [obfuscated]() in /usr/home/user/domains/mydomain/public_html/modules/psthemeprovider/pkgs/ThemeProviderFree-ioncube-55.php on line 0

 

this text appeared when I sent request to WordPress main page after activate a plugin, admin panel works fine.

My PHPINFO:

- 5.5: http://test6.usermd.net/php55/

- 5.6: http://test6.usermd.net/php56/

 

I can't localize which module is missing, please check.

 

Thanks.

Share this post


Link to post
Share on other sites

First of all, re-download and re-install the PrestaShop Theme Provider module (no matter what's the version you are using).

 

If the problem will persist:

  • remove OPCache
  • remove Suhosin
Let us know how it help. Edited by inweb (see edit history)

Share this post


Link to post
Share on other sites

Please elaborate in English and post here your web site URL where we can see the problem.

Share this post


Link to post
Share on other sites

*UPDATE* 

The following issue is resolved, to use it multistore you have to login to your prestashop admin using the domain of each separate store and then activate the inveo module from there. If you just access the module from the store drop down as usual from the default store domain, it wont prompt for activation.

 

Hi,

 

We are using this module for our site which is a multi-store installation of Prestashop, with each store on a different domain, and it works fine up till now as only one of our sites has had a blog installed, however we now want to have blogs on all of the sites.

 

We're trying to do this with a multi-site wordpress, however following these steps:

1. Activate theme provider module on the store

2. Activate wordpress connector plugin on the new blog

It gives the error that the theme provider module has been found but not activated.

Can this module work with a multi-store Prestashop and a multi-site wordpress? If not, what would be the best way to get wordpress blogs on all 3 of our sites?

 

Thanks,

Peter

Edited by peterjsnow (see edit history)

Share this post


Link to post
Share on other sites

Thanks for the update Peter! In the next update of the PrestaShop Theme Provider module, we will add support for the multistore drop-down menu (so it will work as as everyone would expect) :-)

Share this post


Link to post
Share on other sites

A new updates of the PrestaShop Theme Provider module & WordPress Integration plugin have been released!

It comes with general and multistore compatibility improved!

 

PrestaShop Theme Provider module 1.4.17

  • Multi store compatibility was improved
  • General compatibility was improved (PrestaShop 1.6)
  • Minor user-interface changes
WordPress Integration plugin 1.4.17
  • WebAppsDetector class was updated
phpBB forum Integration to PrestaShop was updated as well.

Share this post


Link to post
Share on other sites
Sunday tip: Did you know... that when you integrate WordPress to PrestaShop you can use the following powerful plugins?
  • Contact Form 7 - Makes beautiful contact forms. (1+ million active installs)
  • Polylang - Makes WordPress truly multilingual. (100,000+ active installs)
  • NextGEN Gallery - Powerful engine for uploading and managing galleries of images. (1+ million active installs)
  • MailChimp for WordPress - MailChimp for WordPress, the absolute best. (400,000+ active installs)
  • bbPress - bbPress is forum software, made the WordPress way. (300,000+ active installs)
  • BuddyPress - BuddyPress helps you run any kind of social network on your web site. (100,000+ active installs)
  • WP Google Maps - Create a custom Google map with high quality markers. (200,000+ active installs)
  • Breadcrumb NavXT - Adds breadcrumb navigation showing the visitor's path to their current location. (400,000+ active installs)
  • YouTube - Embed a responsive video, YouTube channel gallery, or playlist gallery. (100,000+ active installs)
  • Disqus Comment System - The Disqus comment system. (200,000+ active installs)
Enjoy! :-)

Share this post


Link to post
Share on other sites

Very, very, nice module.

 

My little contrib for display last post on the home page of prestashop with the native module BlockRSS (1.6)

 

Install on WP "RSS Image feed"

 

 

Hi 2FR3,

 

how did you manage to integrate this? I changed the blockrss as suggested. But when i try to add the feed in the modul it says: "you are trying to add the feed of your own website, please use another feed" (s. attached picture).

 

You're writing about BlockRSS 1.6, but i have V1.3.1. (Prestashop is 1.6.x.x).

 

Are you using some other RSS Modul or do i miss an update (the backend here says everything is up to date)

post-1101538-0-73662200-1456135429_thumb.jpg

Share this post


Link to post
Share on other sites

hi i install your moudle but it no working

 

my site

 

my blog

WordPress needs to be located in a sub-folder. It means you have to move it from blog.puzel.ir to www.puzel.ir/blog/.

 

Please follow the instructions in the WordPress Integration plugin configuration screen (use Google Translator if necessary).

Share this post


Link to post
Share on other sites

A new update of the PrestaShop Theme Provider module has been released! It comes with significantly improved general compatibility (supports wider range of servers).

 

PrestaShop Theme Provider module 1.4.18

  • General compatibility was significantly improved
  • Multi-store activation is now more user-friendly
If you install and activate PrestaShop Theme Provider FREE you will receive a 25% voucher for buying PrestaShop Theme Provider FULL (this special offer is guaranteed till the end of Feb and then can be terminated anytime). Your voucher will be send to your email address within 24h since the activation was completed.

 

The next update of WordPress Integration plugin will be released later - there is something big coming-up :-)

Share this post


Link to post
Share on other sites

First of all, re-download and re-install the PrestaShop Theme Provider module (no matter what's the version you are using).

 

If the problem will persist:

  • remove OPCache
  • remove Suhosin
Let us know how it help.

 

 

 

Thanks, version 1.4.18 works, even with OPCache and Suhosin enabled.

 

Best Regards

Share this post


Link to post
Share on other sites

That's great it is working :-)

We are continuously updating the PrestaShop Theme Provider module and time after time we make an official release announcement (unless it fixes a critical issue, then we release immediately). It means that if you are having troubles, re-download the ZIP package and see if it helps (click the download link you've received - making a new order is NOT required). If the problem will persist, then post here or at our support forum and we will help you :-)

Share this post


Link to post
Share on other sites

Hi mdekker,

 

We've contacted the PrestaShop Team and this module is compliant with the recent best practices that will be published soon.

 

P.S. Since the beginning, the WordPress plugin is also available at the official WP plugin directory to drive WordPress users to PrestaShop.

Share this post


Link to post
Share on other sites

Can someone guide me how to integrate the teaser of latest two wordpress posts on the home page of Prestashop?

 

I tried the RSS hint, but that seams not to work for me:

 

https://www.prestashop.com/forums/topic/432988-free-module-wordpress-blog-integration-to-prestashop-13141516-ps-1614-compatible/page-11?do=findComment&comment=2261103

 

What i'am doing wrong here?

Share this post


Link to post
Share on other sites

Can someone guide me how to integrate the teaser of latest two wordpress posts on the home page of Prestashop?

 

I tried the RSS hint, but that seams not to work for me:

 

https://www.prestashop.com/forums/topic/432988-free-module-wordpress-blog-integration-to-prestashop-13141516-ps-1614-compatible/page-11?do=findComment&comment=2261103

 

What i'am doing wrong here?

On blockrss.php

			elseif (stristr($urlfeed, $_SERVER['HTTP_HOST'].__PS_BASE_URI__))
				$errors[] = $this->l('You have selected a feed URL from your own website. Please choose another URL.');

You need to delete this two lines.

  • Like 2

Share this post


Link to post
Share on other sites

Thanks 2FR3, that did the trick. I wonder why i did not manage that on my own :ph34r::rolleyes:

Share this post


Link to post
Share on other sites

having the following error when trying to get this to work, any ideas where i might have gone wrong.

 

 Warning: Theme Provider Connector Core: The provider returned Internal Server Error. Please check the provider file permissions or use the "Shared runtime" mode to make it work.

 

https://computerbuilders.co.uk <-- store

 

https://computerbuilders.co.uk/reviews <--blog

 

Cheers 

 

James 

Edited by computerbuilders (see edit history)

Share this post


Link to post
Share on other sites

Try the different combinations of permissions of computerbuilders.co.uk/modules/psthemeprovider/provider.php file (even those that do not make sense at all) until you get HTTP 200 OK. We would also suggest to contact your host regarding this issue (it's a common problem on some hosts).

Share this post


Link to post
Share on other sites

Hi and thank you for this module that works fine.

 

i tried it but i'm not sure to keep it beacause of the style of notice that is written with the free version.

 

I'm ok with the notice i have no problem with that it is normal to promote your website beacause you give us free modules. but i really don't like the way it is written.

 

just under MY text is written copyright 2006 inveo...

 

it is not your texte it is mine. your code and your module is under copyright so we cannot selle it etc. but our text is not under your copyright.

 

so i ask you to change the notice and make something more correct, like This wordpress blog is integrated with an inveo module etc...

 

it would be much better in my sens.

 

also i have another important request about that. The link to your website is not in nofollow and this is a site-wide link so i ask you to change the code to make it a nofollow link because it might penalize users to use such link in the future.

 

i hope other users will see my demand and do the same.

 

i will wait your answer to decide weither i keep your module or not.

thanks.

Share this post


Link to post
Share on other sites

This module requires certain technical skills to fine-tune the design (it includes styling/placing/hiding the copyright notice using the CSS styles) but as soon as you manage it, you will get a blog with unlimited features.

 

If you are in doubts how to do it, you may consider upgrading to the fully featured version that instantly resolve all the design issues and comes with no copyright notice or you can wait for the next version where we consider changing the texts and adding nofollow (the aim of the notice is to drive users to our website - bots ignore such links anyway).

Share this post


Link to post
Share on other sites

i found a way to hide the notice but i think this is not fair to you and i'm suspicious with bots. google don't like site wide links.

i would prefer to change the words and keep the notice but i can't do it with CSS. with css you only can modify colors or things like this.

 

you can see it here :

La création de liens qui n'ont pas été publiés ou attestés par le propriétaire du site sur une page (liens également connus sous le nom de "liens artificiels") peut être considérée comme une infraction à nos consignes. C'est le cas par exemple des liens largement diffusés au bas des pages de différents sites.

from this page,

http://www.webrankinfo.com/dossiers/strategies-de-liens/backlinks-sitewide

 

you will easily find it in english

 

found this too:

 

Matt Cutts lui explique la chose suivante :

  • il existe des cas où les liens sitewide sont totalement naturels, donc pas d'inquiétude dans ces cas-là (NDLR : par exemple : site multilingue sur plusieurs noms de domaine, sites d'un même groupe ou d'une même entreprise)
  • par contre si ces liens n'ont rien à voir avec le site qui les fait, ce n'est pas bon. Surtout (?) si ça pointe vers une page dans une autre langue
  • le premier lien qu'un site vous fait vous aide beaucoup (à progresser en référencement). Le deuxième un peu moins. Le troisième encore un peu moins. Etc. Il est donc bien plus efficace d'avoir des liens depuis de nombreux sites différents que plein de liens depuis le même. Plus facile à dire qu'à faire.

 

maybe you really shoul think about this. it is not googd also for your website and more for us.

Edited by cockpitinferno (see edit history)

Share this post


Link to post
Share on other sites

You hide the copyright notice - it also not fair, isn't it? :-)) (when there is an #id you can actually easily change everything including the text but this is just a technical note)

 

Please re-download the module in a few hours (there should have been the text and link changed).

 

P.S. We are continuously adding a little improvements into the module so re-downloading is actually worth for everybody (no need to make a new order).

Share this post


Link to post
Share on other sites

thank you very much. it has never been my plan to hide the notice. and i didnt do it.

this is why i asked you to modifie. and i'm sur it is better for your website too not to have a lot of site with link without any common point with yours. we all know this is not good for referencing.

i will share this topic on french forums too all people who serche this kind on module.

Edited by cockpitinferno (see edit history)

Share this post


Link to post
Share on other sites

It's not a big deal if you hide the notice - it was a rhetorical question. The updated module should have been out now.

 

Thanks for the feedback and link in forum.
 

you can see it here :
La création de liens qui n'ont pas été publiés ou attestés par le propriétaire du site sur une page (liens également connus sous le nom de "liens artificiels") peut être considérée comme une infraction à nos consignes. C'est le cas par exemple des liens largement diffusés au bas des pages de différents sites.
from this page,
http://www.webrankinfo.com/dossiers/strategies-de-liens/backlinks-sitewide


[OFFTOPIC]If the side-wide links pointed to some website could harm that website, it would mean that anyone can actually manipulate Google bot to penalize some website and gain a profit. That's obviously not true and people should think more when Matt Cutt talks (we work in SEO for 10+ years with thousands of copies of our Magic SEO module sold what qualifies us a little bit :) ).
It reminds us the 2008-2010 when everyone was asking us for keyword/description meta tag module but that time Google already completely ignored these meta tags. It was mission impossible to explain that it is just a waste of time and money. For some reasons, majority of users are always behind the Google.[/OFFTOPIC]

Share this post


Link to post
Share on other sites

maybe this is the multiplication of links that provoque penaltys. i don't know i'm not an expert and this is why i'm a little afraid of this kind of think. i don't know if it good traduction but i would say it's better to prevent than to cure.

 

i precise that i suffer a pinguin penalty from google and i 'm more than suspicious about this "octopus" (dindn't find something else to qualifie it.)

Edited by cockpitinferno (see edit history)

Share this post


Link to post
Share on other sites

i also found a little issue. as you sait here i think my installation is ok (because in a subfloder,)

 

WordPress needs to be installed in a sub-folder of the same domain. Otherwise certain PrestaShop parts (such as cart block) would stop work due to cross-site AJAX HTTP requests.

 

but in firebug i still have this

 

 
Blocage d'une requête multi-origines (Cross-Origin Request) : la politique « Same Origin » ne permet pas de consulter la ressource distante située sur https://www.chevaldetrefle.com/index.php?controller=statistics. Raison : l'en-tête CORS « Access-Control-Allow-Origin » est manquant.
 
Cross origine bloques, the "same origin" policie does'nt allow to consult the distant ressource located on https://www.chevaldetrefle.com/index.php?controller=statistics
Reason : header CORS « Access-Control-Allow-Origin » is missing.

Share this post


Link to post
Share on other sites

 

but in firebug i still have this

 

 
Blocage d'une requête multi-origines (Cross-Origin Request) : la politique « Same Origin » ne permet pas de consulter la ressource distante située sur https://www.chevaldetrefle.com/index.php?controller=statistics. Raison : l'en-tête CORS « Access-Control-Allow-Origin » est manquant.
 
Cross origine bloques, the "same origin" policie does'nt allow to consult the distant ressource located on https://www.chevaldetrefle.com/index.php?controller=statistics
Reason : header CORS « Access-Control-Allow-Origin » is missing.

 

 

This is a general issue of all pages on your website. Not much we can do with that in the module.

Share this post


Link to post
Share on other sites

Remove this code:
 

<script type='text/javascript' src='http://www.chevaldetrefle.com/blog/wp-includes/js/jquery/jquery.js?ver=1.12.3'></script>
<script type='text/javascript' src='http://www.chevaldetrefle.com/blog/wp-includes/js/jquery/jquery-migrate.min.js?ver=1.4.0'></script>

from your WordPress because jQuery is already loaded by PS.

 

It should help.

Share this post


Link to post
Share on other sites

thanks. i think i will not be able to solve it because i'm not a dev and know nothing about js. but i appreciate you tried to help me.

 

edit, oops, a bit tired didn't see the beginning of your post. let's see it tomorrow.

Edited by cockpitinferno (see edit history)

Share this post


Link to post
Share on other sites

So just to be clear, currently this module and other solutions are not compatible at all with PHP 7 as none of the loaders required to use this are.  Is that correct?

Share this post


Link to post
Share on other sites

Yes they are currently not compatible with PHP 7.0 (due to loaders and we also need to go through the source code and make a lot of tests because both Accelerator and WP2PS use a bit advance php techniques) but we will definitely release a version with PHP 7.0 support as soon as loaders are available :-)

Share this post


Link to post
Share on other sites

There is likely an override of FrontController:initContent() method. Try to make the same override of FrontController::displayHeader() method. If it will not help or if you are in doubts how to do it, we can resolve it as a part of the PAID module installation service.

Share this post


Link to post
Share on other sites

It works, just copied public fonction from original frontcontroller and then add the same Hook paraph to this.

thank you very much for your help.

 

wich tool did you use to see this?

Edited by cockpitinferno (see edit history)

Share this post


Link to post
Share on other sites

It's a matter of experience :)

 

Glad to hear it is working fine now.

Share this post


Link to post
Share on other sites

I want to show the featured image (wordpress)of the post in Blockrss in prestashop, but it doesn't work!

How can I do that?

Share this post


Link to post
Share on other sites

I'm using the wordpress blog by inveo in my prestashop but after migrate to a new hosting (hostgator cloud business) I cannot login into any dashboard (prestashop and wordpress blog) because appeared a message it needed to update my php to 5.6 or later that I already did. Now when I try to login in my presashop dashboard is on white and wordpress dashboard appears a message.

 

The Hostgator support sent me this message:

 

We found a few issues while investigating the Prestashop admin login issue. The first issue we found was that your site was using a PHP 5.4 php.ini file while running on PHP 5.6. The invalid php.ini file has been renamed to remove it from effect. The second issue is related to the version the script was encoded to work with.

[root@cloud59 /home1/lorens7/public_html]# tail -f admin123/error_log
[13-May-2016 04:45:36 US/Eastern] PHP Fatal error: Incompatible file format: The encoded file has format major ID 6, whereas the Loader expects 7 in /home1/lorens7/public_html/modules/psthemeprovider/pkgs/ThemeProviderFree-guard-56.php on line 0
[13-May-2016 04:45:52 US/Eastern] PHP Fatal error: Incompatible file format: The encoded file has format major ID 6, whereas the Loader expects 7 in /home1/lorens7/public_html/modules/psthemeprovider/pkgs/ThemeProviderFree-guard-56.php on line 0
[13-May-2016 04:46:02 US/Eastern] PHP Fatal error: Incompatible file format: The encoded file has format major ID 6, whereas the Loader expects 7 in /home1/lorens7/public_html/modules/psthemeprovider/pkgs/ThemeProviderFree-guard-56.php on line 0
[13-May-2016 04:46:31 US/Eastern] PHP Fatal error: Incompatible file format: The encoded file has format major ID 6, whereas the Loader expects 7 in /home1/lorens7/public_html/modules/psthemeprovider/pkgs/ThemeProviderFree-guard-56.php on line 0
[13-May-2016 04:47:22 US/Eastern] PHP Fatal error: Incompatible file format: The encoded file has format major ID 6, whereas the Loader expects 7 in /home1/lorens7/public_html/modules/psthemeprovider/pkgs/ThemeProviderFree-guard-56.php on line 0

You will need to re-encode the script for PHP 5.6. HOW CAN I DO THIS?

 

http://lorens.com.co/

My blog with ERROR   http://lorens.com.co/blog/

 

I need help. Thanks in advance

Edited by Xanderzone (see edit history)

Share this post


Link to post
Share on other sites

No need to re-encode anything. The problem is either in your php.ini file or corrupted PHP files.

  1. Re-download the latest version of PS Theme Provider module and re-upload/re-install it.
  2. If the problem will persist, then you are using custom php.ini file with incorrect ZendGuardLoader.so file referenced inside (you will need to upload a correct ZGL).

Share this post


Link to post
Share on other sites

Could you be more specific because I don't want to cause a big error in my site. Somebody from Inveo installed the blog but how I can do it bymiself. thanks

Share this post


Link to post
Share on other sites

You can install the PS Theme Provider module like any other PS module.

 

BackOffice - Modules - Add a new module - upload the ZIP package (what actually makes an update if a module is already installed).

Share this post


Link to post
Share on other sites

Thanks now I can access to my back office but I had to set up an older php version that was implementing via public_html/.htaccess

AddHandler aplication/x-httpd-php55.php

 

Some recomendation

Share this post


Link to post
Share on other sites

No recommendations. You can safely use PrestaShop Theme Provider module with PHP up to 5.6 (PHP 7.0 support is coming).

 

What was the error message that forced you to switch to PHP 5.5?

Share this post


Link to post
Share on other sites

Hi, sorry for the late response, My web appears to be good now and I'm using PrestaShop Theme Provider module with PHP 5.6. There is an issue pending in my web that Hostgator support recommend, Here is what they sent me:

 

Thank you for the update! Unfortunately, we cannot reencode your site files for multiple reasons:
* This type of task is normally handled by a web developer; we aren't web developers and generally won't be able to assist with web development tasks. We'll help where we can, though, including recommendations for action.
* Ioncube-encoded files are obfuscated to make them unreadable. Only the script vendor can provide files encoded for a different version of PHP.

I tried setting the PHP version in use on this account to an older value, this change was implemented via public_html/.htaccess:
AddHandler application/x-httpd-php55 .php

 

That was when I couldn't open my website

Share this post


Link to post
Share on other sites

Thanks for the details! We assume everything is ok now :-)

Share this post


Link to post
Share on other sites

No, indeed. WordPress continues to work like it is a stand-alone app.

Share this post


Link to post
Share on other sites

Greetings!

 

We're checking your module and we have a doubt about breadcrumbs:

 

Is there a way to get prestashop breadcrumb to integrate wordpress breadcrumb, instead of using one for PS and another for WP?

 

As we have seen, using separated breadcrumbs, we're not sure if the final breadcrumb position while navigating in blog will be in the same exact position.

 

The idea is PS breadcrumb to show something like home > blog > category > entry

 

Kind regards

Share this post


Link to post
Share on other sites

We have a little problem.

 

After installing the module we receive the next warning:

 

Warning: Theme Provider Connector Core: Allow TCP port 80/443 (HTTP/HTTPS) on the server firewall or use the "Shared runtime" mode to make it work, and no integration appears.

 

Our PS site is working under https, but, currently on a testing site, so the certificate is not valid. Accessing without https it seems to work fine.

 

We think this warning may be caused by the "non-trusted" cerfiticate, but we're not sure. 

 

Working with a "trusted certificate" may it work, or the only way is to get the paid module, so "Shared runtime" option will be enabled?

 

Regards

 

Regards

Share this post


Link to post
Share on other sites

The problem you are having is not caused by the self-signed SSL certificate - as stated in the message, you will need to either enable the HTTPS port or enable the Shared runtime mode.

Share this post


Link to post
Share on other sites

But https port is enabled. In fact, any other https conection works fine, only "warning" we get is about certificate.

Share this post


Link to post
Share on other sites

Hi! I need this module. I ve signed up inyo your page and place the order but no download link I ve received. If I want to sign in again my user is not recognised!

Share this post


Link to post
Share on other sites

Does somebody can forward the download link as it is free ? 

 

The website to download it doesn't work. I get the same behavior as described by jviure above.

 

Once registered, checkout done etc... no download link received or anything. Later on if you try to connect again, your user account has been deleted. 

 

 

Thanks for sharing,

 

Regards,

Share this post


Link to post
Share on other sites

The issue you are having was discussed before - to receive your download link, you need to make a human like order (otherwise it is filtered-out by our anti-spam tool).

 

We've checked the filtered-out orders and there were recently only a few filtered-out - all of them are pure spam or created by robots (such as fdfsdfsdfsdfsdfsdf submitted as email or name etc.).

 

Shared download link will not help you - to make it work, you need to activate the module by the free SN which is attached to your download link. We would suggest you to make a human-like order and you will receive your download link shortly (like a few thousands of other users this year) - it is not too much if you consider this is technologically unique solution and there was nothing similar ever available for any other ecommerce platform including paid addons.

Share this post


Link to post
Share on other sites

Well, the next one claiming that your cart is not working. I registered, can see the order on "my purchase" link, klick the order link and than nothing happens. Site is dead. The technique you are using is failing...

My IP is the one my provider is giving me, a dynamic from major telecom provider in Austria and the used mail-account is a free one (gmx) on which daily 100 of spam mails are incoming. But I don't care/read that account, cause it was created for to safeguard my REAL mail account, used day by day to mail with trusted accounts.

 

 

post-741527-0-86828700-1475073549_thumb.jpg

Share this post


Link to post
Share on other sites

Hello,

 

I agree. My first mail address didn't go throught. I tried with a new one and it worked. 

 

I received the download links in my mail. 

 

Thanks !!

 

Regards,

A

Share this post


Link to post
Share on other sites

Well for me didn't get through. I had no mail received. So I think used technique is failing. You should use another, or rework this. BTW, nowadays a high percent of users is giving fake mails, just for to stop spam and data selling. I suspect, that this technique you are using, is working based on mail tracking... Well this is not really a secure way as you can see.

Furthermore I cannot understand which added value you are having on this technique, if you can place an order ? (by boring others because they are unable to download their purchase, cause no mail received). I suggest you rework this technique or think to disable it.

Share this post


Link to post
Share on other sites

Thank you for your concerns. The anti-spam tool evaluates multiple signals and it currently works with almost zero false alarms (96.4% orders are processed correctly). The "fake-email" usage depends on location of the user. The aim of this tool is to protect the performance to keep overall Page Loading Time under 2s (each order requires 5 emails to send, multiple database inserts, issuing the license etc.).
 

Well for me didn't get through. I had no mail received. So I think used technique is failing. You should use another, or rework this. BTW, nowadays a high percent of users is giving fake mails, just for to stop spam and data selling. I suspect, that this technique you are using, is working based on mail tracking... Well this is not really a secure way as you can see.
Furthermore I cannot understand which added value you are having on this technique, if you can place an order ? (by boring others because they are unable to download their purchase, cause no mail received). I suggest you rework this technique or think to disable it.


While the FREE modules are popular and cause of abuse at the same time (some users are able to make the same order 10x although they already received 9x download links because we use the SMTP with high deliverability), the conversion rate is very low. Most of the revenue comes from users that directly buy the PAID module. The FREE module was for community - there is no complain about it (we sell modules since 2007 and the low conversion rate is well-known fact) but we have to admit we will consider providing the FREE module after the recent feedback by multiple Ambassadors/Moderators (although the module, thread and everything was approved by the community manager) - providing the FREE module with this truly unique technology caused more troubles than one would expect and it is not worth the hassle.

Share this post


Link to post
Share on other sites

I understand that you are trying to protect yourself from spam, but in this case it is useless. For me, and I think also for the others not able to download the link from their order list, you should consider to change the possibility of downloading. If mails fail, they are unable to get their links (paid or not paid). I still have no access to the links I bought (in this case it doesn't matter, cause free, but if I bought something, than I would be very sad, by saying lost of image and trust).

Share this post


Link to post
Share on other sites

The anti-spam tool applies to free orders only - there is no point to apply it to paid orders (from the obvious reasons).

Share this post


Link to post
Share on other sites

 

 

Very, very, nice module.

 

My little contrib for display last post on the home page of prestashop with the native module BlockRSS (1.6)

 

Install on WP "RSS Image feed"

hi i install your moudle but it no working

 

my site

 

my blog

Share this post


Link to post
Share on other sites

To make it work, you need to install PS Theme Provider module to PrestaShop and WP Integration plugin to WordPress (it seems the second part is missing on your website).

Share this post


Link to post
Share on other sites

WordPress needs to be located in a sub-folder. It means you have to move it from blog.puzel.ir to www.puzel.ir/blog/.

Edited by selectshop.at
editted by mod, as it seems user copied screen 1:1 with code, instead to use "quote" button (see edit history)

Share this post


Link to post
Share on other sites

 

WordPress needs to be located in a sub-folder. It means you have to move it from blog.puzel.ir to www.puzel.ir/blog/.

Is this a question ???

Share this post


Link to post
Share on other sites

Hello,

 

I have a hard time installing Zend Guard loader on my server. 

 

I successfully installed it at the root directory, but i'm not able to get it installed and working in the prestashop folder. When i'm checking the phpinfo, it's not there. (in the prestashop folder)

 

I'm using 1&1 webhosting. 

 

Can anyone help me ?

 

Thanks !

Share this post


Link to post
Share on other sites

I assume you are using custom php.ini file to load the ZGL. Unfortunately on 1and1, the php.ini file does not apply to sub-folders and suPHP_ConfigPath is not supported there. This is known issue and there is no solution except the one described at http://help.1and1.com/hosting-c37630/scripts-and-programming-languages-c85099/php-c37728/change-php-directives-a660257.html

Share this post


Link to post
Share on other sites

So if I get it correctly, I have to modify my custom php.ini and copy it into every prestashop sub-folders right ?

 

I did so, but it still don't work... :(

Edited by Arpels (see edit history)

Share this post


Link to post
Share on other sites

In theory, it should work this way. We would suggest you to contact the 1and1 support.

Share this post


Link to post
Share on other sites

Yup did it already but not very satisfying.. 

 

Can the module run with IonCube loader and does Wordpress needs the Zend Guard loader If I have to install it without the module ? 

 

Thanks

Share this post


Link to post
Share on other sites

Yes, the PS Theme Provider module can also run with ionCube Loader. Standalone WordPress does not require Zend Guard Loader/ionCube Loader.

Share this post


Link to post
Share on other sites

This is awesome indeed, I successfully to make WordPress integration, thank you so  much team developer, brilliant idea, I love it so much indeed.

Now I'm trying to make a blog page at home PrestaShop, just summary and sliding, do you have any some module for that? Thanks in advanced

Share this post


Link to post
Share on other sites

Hi

I've installed the module on prestashop, and the plugin in wordpress fine, however if the module is enabled in prestashop, when a customer adds a product to their shopping cart it comes up with the following error:-

 

Impossible to add the product to the cart.
textStatus: 'error'
errorThrown: 'Internal Server Error'
responseText:

 

If I disable the module the problem is no longer there.

 

Can you help please?  PS version is 1.6.1.7 using a custom theme.

Share this post


Link to post
Share on other sites

Please post your website URL and link to the phpinfo() page.

Share this post


Link to post
Share on other sites

Please post your website URL and link to the phpinfo() page.

hi

 

thanks.  phpinfo page can be found at *****

Edited by TWS974 (see edit history)

Share this post


Link to post
Share on other sites

Please update the ionCube Loader to version 5.0 or later and it starts to work :)

  • Like 1

Share this post


Link to post
Share on other sites
Greetings

 

I was trying to integrate the Wordpress blog to my store.Using

 [Free Module] Wordpress Blog Integration To Prestashop 1.3/1.4/1.5/1.6 (Ps 1.6.1.9 Compatible)

, while in that process i load the the wordpress plug in on my module in prestashop now i cant access my Prestashop module so i can install the theme to link with wordpress kindly assist.

 Thank you.

post-1327444-0-29089600-1479717181_thumb.jpg

Edited by razaro (see edit history)

Share this post


Link to post
Share on other sites

You've uploaded the WordPress Integration plugin to PretaShop instead to WordPress. Deleting /public_html/modules/wp-integration/ directory resolves the problem.

Share this post


Link to post
Share on other sites